scala.collection.jcl
class LinkedList

[source: `scala/collection/jcl/LinkedList.scala`]

`` `class` LinkedList[A](`val override` underlying : LinkedList)
  `extends` BufferWrapper[A]

  Creates a buffer backed by a Java linked list. Includes additional peek/poll/removeFirst/removeLast APIs that are useful in implementing queues and stacks.

Author
  Sean McDirmid

Additional Constructor Summary
`def` | this : LinkedList[A]

Method Summary
`override def` | add (idx : Int, a : A) : Unit Inserts "a" into this buffer just before the element at index "idx."
`override def` | elements : BufferIterator[Int, A] The default implementation of a map over mutable iterable collections.

Methods inherited from BufferWrapper
remove, add, addAll, indexOf, apply, set, rangeImpl, length

Methods inherited from CollectionWrapper
has, size, hasAll, addAll, toString, hashCode, equals

Methods inherited from IterableWrapper
remove, removeAll, retainAll, isEmpty, clear

Methods inherited from Buffer
projection, firstKey, lastKey, compare, remove, replace, update, transform, +, -=, replace

Methods inherited from Collection
++, +=

Methods inherited from Seq
lengthCompare, concat, last, lastOption, headOption, ++, isDefinedAt, lastIndexOf, map, flatMap, filter, take, drop, slice, takeWhile, dropWhile, reverse, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from Ranged
from, until, range

Methods inherited from MutableIterable
--, -, retain, size0

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Additional Constructor Details

`` `def` this : LinkedList[A]

Method Details

`override` `def` elements : BufferIterator[Int, A]

  The default implementation of a map over mutable iterable collections.

Overrides
  BufferWrapper.elements

`override` `def` add(idx : Int, a : A) : Unit

  Inserts "a" into this buffer just before the element at index "idx."

Overrides
  BufferWrapper.add